/*body*/
.body {
  /*yerleşim-ve-gösterim*/
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  /*biçim-ve-boyut*/
  margin: 0;
  padding: 0;
  min-height: 100vh;
  /*yazısal-içerik*/
  font-family: 'Noto Sans', sans-serif;
  font-size: 16rem;
  line-height: 16rem;
  -webkit-user-select: none;
     -moz-user-select: none;
          user-select: none;
  /*animasyon-ve-geçiş*/
}
.ca-dark .body {
  /*yerleşim-ve-gösterim*/
  /*biçim-ve-boyut*/
  background: var(--gray-800);
  /*yazısal-içerik*/
  color: var(--gray-50);
  /*animasyon-ve-geçiş*/
}
.ca-light .body {
  /*yerleşim-ve-gösterim*/
  /*biçim-ve-boyut*/
  background: var(--gray-200);
  /*yazısal-içerik*/
  color: var(--gray-950);
  /*animasyon-ve-geçiş*/
}
/*header*/
.header {
  /*yerleşim-ve-gösterim*/
  position: fixed;
  z-index: 1001;
  /*biçim-ve-boyut*/
  padding: 12rem;
  width: calc(100% - 24rem);
  /*yazısal-içerik*/
  /*animasyon-ve-geçiş*/
}
.ca-dark .header {
  /*yerleşim-ve-gösterim*/
  /*biçim-ve-boyut*/
  border-bottom: 1rem solid var(--gray-400);
  background: var(--gray-900);
  /*yazısal-içerik*/
  /*animasyon-ve-geçiş*/
}
.ca-light .header {
  /*yerleşim-ve-gösterim*/
  /*biçim-ve-boyut*/
  border-bottom: 1rem solid var(--gray-600);
  background: var(--gray-100);
  /*yazısal-içerik*/
  /*animasyon-ve-geçiş*/
}
.header__inner {
  /*yerleşim-ve-gösterim*/
  display: flex;
  justify-content: space-between;
  /*biçim-ve-boyut*/
  margin: 0 auto;
  max-width: 1200px;
  /*yazısal-içerik*/
  /*animasyon-ve-geçiş*/
}
/*banner*/
.banner {
  /*yerleşim-ve-gösterim*/
  display: flex;
  /*biçim-ve-boyut*/
  /*yazısal-içerik*/
  text-decoration: none;
  color: inherit;
  /*animasyon-ve-geçiş*/
}
.banner__logo {
  /*yerleşim-ve-gösterim*/
  transform: rotate(45deg);
  /*biçim-ve-boyut*/
  margin: 2rem 0;
  width: 32rem;
  height: 32rem;
  /*yazısal-içerik*/
  /*animasyon-ve-geçiş*/
}
.banner__logo-polygon {
  /*yerleşim-ve-gösterim*/
  /*biçim-ve-boyut*/
  fill: var(--gray-500);
  /*yazısal-içerik*/
  /*animasyon-ve-geçiş*/
}
.ca-dark .banner__logo-polygon--1 {
  /*yerleşim-ve-gösterim*/
  /*biçim-ve-boyut*/
  fill: #F2F2F2;
  /*yazısal-içerik*/
  /*animasyon-ve-geçiş*/
  transition: 0.5s;
}
.ca-dark .banner__logo-polygon--2 {
  /*yerleşim-ve-gösterim*/
  /*biçim-ve-boyut*/
  fill: #666666;
  /*yazısal-içerik*/
  /*animasyon-ve-geçiş*/
  transition: 0.4s;
}
.ca-dark .banner__logo-polygon--3 {
  /*yerleşim-ve-gösterim*/
  /*biçim-ve-boyut*/
  fill: #333333;
  /*yazısal-içerik*/
  /*animasyon-ve-geçiş*/
  transition: 0.3s;
}
.ca-dark .banner__logo-polygon--4 {
  /*yerleşim-ve-gösterim*/
  /*biçim-ve-boyut*/
  fill: #1A1A1A;
  /*yazısal-içerik*/
  /*animasyon-ve-geçiş*/
  transition: 0.2s;
}
.ca-light .banner__logo-polygon--1 {
  /*yerleşim-ve-gösterim*/
  /*biçim-ve-boyut*/
  fill: #0D0D0D;
  /*yazısal-içerik*/
  /*animasyon-ve-geçiş*/
  transition: 0.5s;
}
.ca-light .banner__logo-polygon--2 {
  /*yerleşim-ve-gösterim*/
  /*biçim-ve-boyut*/
  fill: #999999;
  /*yazısal-içerik*/
  /*animasyon-ve-geçiş*/
  transition: 0.4s;
}
.ca-light .banner__logo-polygon--3 {
  /*yerleşim-ve-gösterim*/
  /*biçim-ve-boyut*/
  fill: #CCCCCC;
  /*yazısal-içerik*/
  /*animasyon-ve-geçiş*/
  transition: 0.3s;
}
.ca-light .banner__logo-polygon--4 {
  /*yerleşim-ve-gösterim*/
  /*biçim-ve-boyut*/
  fill: #E6E6E6;
  /*yazısal-içerik*/
  /*animasyon-ve-geçiş*/
  transition: 0.2s;
}
.banner__title {
  /*yerleşim-ve-gösterim*/
  /*biçim-ve-boyut*/
  margin-left: 12rem;
  /*yazısal-içerik*/
  font-family: 'Noto Sans Mono', monospace;
  font-size: 24rem;
  font-weight: bold;
  white-space: nowrap;
  line-height: 32rem;
  /*animasyon-ve-geçiş*/
}
.page {
  /*yerleşim-ve-gösterim*/
  display: flex;
  /*biçim-ve-boyut*/
  /*yazısal-içerik*/
  font-family: 'Noto Sans Mono', monospace;
  font-size: 24rem;
  white-space: nowrap;
  line-height: 32rem;
  /*animasyon-ve-geçiş*/
}
.cursor {
  /*yerleşim-ve-gösterim*/
  display: flex;
  /*biçim-ve-boyut*/
  margin-top: 28rem;
  margin-right: auto;
  border-radius: 1rem;
  width: 16rem;
  height: 4rem;
  background: var(--spring-500);
  /*yazısal-içerik*/
  /*animasyon-ve-geçiş*/
  animation: banner-cursor-animation 1s infinite;
}
@keyframes banner-cursor-animation {
  0% { opacity: 0; }
  50% { opacity: 1; }
  100% { opacity: 0; }
}
.menu {
  /*yerleşim-ve-gösterim*/
  display: flex;
  /*biçim-ve-boyut*/
  padding-left: 12rem;
  /*yazısal-içerik*/
  text-decoration: none;
  /*animasyon-ve-geçiş*/
}
.menu__item {
  /*yerleşim-ve-gösterim*/
  display: flex;
  /*biçim-ve-boyut*/
  padding: 0 12rem;
  cursor: pointer;
  /*yazısal-içerik*/
  text-decoration: none;
  color: inherit;
  /*animasyon-ve-geçiş*/
}
.menu__icon {
  /*yerleşim-ve-gösterim*/
  /*biçim-ve-boyut*/
  /*yazısal-içerik*/
  font-size: 36rem;
  /*animasyon-ve-geçiş*/
  transition: 0.3s;
}
.menu__select {
  /*yerleşim-ve-gösterim*/
  /*biçim-ve-boyut*/
  margin: 0 12rem;
  height: 36rem;
  /*yazısal-içerik*/
  /*animasyon-ve-geçiş*/
}
@media (hover: hover) and (pointer: fine) {
  .menu__item:hover .menu__icon {
    /*yerleşim-ve-gösterim*/
    /*biçim-ve-boyut*/
    /*yazısal-içerik*/
    color: var(--spring-500);
    /*animasyon-ve-geçiş*/
  }
}
.theme {
  /*yerleşim-ve-gösterim*/
  display: flex;
  /*biçim-ve-boyut*/
  padding-left: 12rem;
  /*yazısal-içerik*/
  text-decoration: none;
  /*animasyon-ve-geçiş*/
}
.theme__floor {
  /*yerleşim-ve-gösterim*/
  position: relative;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  align-content: space-around;
  /*biçim-ve-boyut*/
  margin: 6rem 0;
  border-radius: 8rem;
  width: 64rem;
  height: 24rem;
  cursor: pointer;
  /*yazısal-içerik*/
  -webkit-user-select: none;
     -moz-user-select: none;
          user-select: none;
  /*animasyon-ve-geçiş*/
}
.ca-dark .theme__floor {
  /*yerleşim-ve-gösterim*/
  /*biçim-ve-boyut*/
  background-color: var(--gray-700);
  /*yazısal-içerik*/
  /*animasyon-ve-geçiş*/
}
.ca-light .theme__floor {
  /*yerleşim-ve-gösterim*/
  /*biçim-ve-boyut*/
  background-color: var(--gray-300);
  /*yazısal-içerik*/
  /*animasyon-ve-geçiş*/
}
.theme__icon {
  /*yerleşim-ve-gösterim*/
  z-index: 2;
  /*biçim-ve-boyut*/
  padding: 4rem;
  /*yazısal-içerik*/
  font-size: 16rem;
  /*animasyon-ve-geçiş*/
}
.ca-dark .theme__icon--sun {
  /*yerleşim-ve-gösterim*/
  /*biçim-ve-boyut*/
  /*yazısal-içerik*/
  color: var(--gray-300);
  /*animasyon-ve-geçiş*/
}
.ca-dark .theme__icon--moon {
  /*yerleşim-ve-gösterim*/
  /*biçim-ve-boyut*/
  padding: 0;
  /*yazısal-içerik*/
  font-size: 24rem;
  color: var(--gray-900);
  /*animasyon-ve-geçiş*/
}
.ca-light .theme__icon--sun {
  /*yerleşim-ve-gösterim*/
  /*biçim-ve-boyut*/
  padding: 0;
  /*yazısal-içerik*/
  font-size: 24rem;
  color: var(--gray-100);
  /*animasyon-ve-geçiş*/
}
.ca-light .theme__icon--moon {
  /*yerleşim-ve-gösterim*/
  /*biçim-ve-boyut*/
  /*yazısal-içerik*/
  color: var(--gray-700);
  /*animasyon-ve-geçiş*/
}
.theme__switcher {
  /*yerleşim-ve-gösterim*/
  position: absolute;
  top: 0;
  z-index: 1;
  /*biçim-ve-boyut*/
  margin-top: -4rem;
  margin-left: 0;
  border-radius: 12rem;
  width: 32rem;
  height: 32rem;
  /*yazısal-içerik*/
  /*animasyon-ve-geçiş*/
  transition: 0.3s;
}
.ca-dark .theme__switcher {
  /*yerleşim-ve-gösterim*/
  left: 32rem;
  /*biçim-ve-boyut*/
  background-color: var(--gray-100);
  /*yazısal-içerik*/
  /*animasyon-ve-geçiş*/
}
.ca-light .theme__switcher {
  /*yerleşim-ve-gösterim*/
  left: 0;
  /*biçim-ve-boyut*/
  background-color: var(--gray-900);
  /*yazısal-içerik*/
  /*animasyon-ve-geçiş*/
}
@media (hover: hover) and (pointer: fine) {
  .theme:hover .theme__switcher {
    /*yerleşim-ve-gösterim*/
    /*biçim-ve-boyut*/
    background-color: var(--spring-500);
    /*yazısal-içerik*/
    /*animasyon-ve-geçiş*/
  }
}
/*main*/
.main {
  /*yerleşim-ve-gösterim*/
  /*biçim-ve-boyut*/
  margin-top: 61rem;
  padding: 24rem;
  /*yazısal-içerik*/
  /*animasyon-ve-geçiş*/
}
.main__inner {
  /*yerleşim-ve-gösterim*/
  display: flex;
  flex-wrap: wrap;
  align-content: flex-start;
  justify-content: center;
  gap: 12rem;
  /*biçim-ve-boyut*/
  margin: 0 auto;
  max-width: 1200px;
  min-height: calc(100vh - 109rem);
  /*yazısal-içerik*/
  /*animasyon-ve-geçiş*/
}
/*footer*/
.footer {
  /*yerleşim-ve-gösterim*/
  /*biçim-ve-boyut*/
  padding: 48rem 12rem;
  /*yazısal-içerik*/
  /*animasyon-ve-geçiş*/
}
.ca-dark .footer {
  /*yerleşim-ve-gösterim*/
  /*biçim-ve-boyut*/
  border-top: 1rem solid var(--gray-400);
  background: var(--gray-900);
  /*yazısal-içerik*/
  /*animasyon-ve-geçiş*/
}
.ca-light .footer {
  /*yerleşim-ve-gösterim*/
  /*biçim-ve-boyut*/
  border-top: 1rem solid var(--gray-600);
  background: var(--gray-100);
  /*yazısal-içerik*/
  /*animasyon-ve-geçiş*/
}
.footer-inner {
  /*yerleşim-ve-gösterim*/
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 24rem;
  /*biçim-ve-boyut*/
  margin: 0 auto;
  max-width: 1200px;
  /*yazısal-içerik*/
  /*animasyon-ve-geçiş*/
}
.footer-link {
  /*yerleşim-ve-gösterim*/
  /*biçim-ve-boyut*/
  /*yazısal-içerik*/
  text-decoration: none;
  font-size: 36rem;
  color: inherit;
  /*animasyon-ve-geçiş*/
  transition: 0.3s;
}
.footer-link:hover {
  /*yerleşim-ve-gösterim*/
  /*biçim-ve-boyut*/
  /*yazısal-içerik*/
  color: var(--spring-500);
  /*animasyon-ve-geçiş*/
}
/*locked*/
.locked {
  /*yerleşim-ve-gösterim*/
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  gap: 12rem;
  /*biçim-ve-boyut*/
  /*yazısal-içerik*/
  /*animasyon-ve-geçiş*/
}
.locked__password-input {
  /*yerleşim-ve-gösterim*/
  /*biçim-ve-boyut*/
  width: 100%;
  max-width: 300rem;
  /*yazısal-içerik*/
  text-align: center;
  /*animasyon-ve-geçiş*/
}
.locked__open-button {
  /*yerleşim-ve-gösterim*/
  /*biçim-ve-boyut*/
  width: 100rem;
  /*yazısal-içerik*/
  /*animasyon-ve-geçiş*/
}